- Creates a new membership record that does not already exist.
This method will auto-generate an ID and create a new membership. If an ID is specified for the membership, an error will be thrown.
The membership that you would like to be saved.
Memberships that have been assigned, manually, by organization administrators
The method this member was billed
Whether or not to bill the organization for this membership
Read only: Show the name of the chapters to which a person belongs
For reporting only; the contact ID if this is owned by a contact, the organization if this is owned by an organization
The date that this was last updated in the portal
If set, this membership will not be dropped/terminated along lifecycle rules
If set, the membership is not available in the directory
If this is a flow down membership, the depth
The last date that this record was terminated. Unlike termination date does not get erased
The last date a change affiliation was run on this membership
The last time a reminder was sent
The master organizational membership that generates the flowdown; when depth=1 this is the same as the parent, but supports cascading membership
The master organization that owns the membership; when depth=1 this is the same as the parent, but supports cascading membership
Fields that have been changed on this record, and should not be susceptible to flowdown
The chapter ID (used for reporting, DO NOT UPLOAD DATA HERE
If set, then this membership will automatically renew with the card on file
The currency code to use for renewal
The date that the renewal payment card expires
Read only: Show the name of the sections to which a person belongs
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
- Mock serverhttps://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/memberships/{tenantId}
- https://membership.api.rhythmsoftware.comhttps://membership.api.rhythmsoftware.com/memberships/{tenantId}
curl -i -X POST \
'https://docs.api.rhythmsoftware.com/_mock/apis/membership/membership-v1/memberships/{tenantId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>' \
-H 'Content-Type: application/json' \
-d '{
"add_on_ids": [
"string"
],
"add_on_names": "string",
"add_ons": [
{
"add_on_id": "string",
"dues": 0.1,
"order_id": "string",
"order_line_item_id": "string",
"quantity": 1
}
],
"application_id": "string",
"application_process_id": "string",
"assigned_memberships": [
{
"add_on_ids": [
"string"
],
"chapter_ids": [
"string"
],
"contact_id": "string",
"section_ids": [
"string"
]
}
],
"bill_method": "auto renewal order",
"bill_organization": true,
"billed": true,
"certificate_uri": "string",
"chapter_ids": [
"string"
],
"chapter_names": "string",
"chapters": [
{
"chapter_id": "string",
"dues": 0.1,
"is_new_member": true,
"join_date": "2019-08-24T14:15:22Z",
"order_id": "string",
"order_line_item_id": "string",
"was_renewed": true
}
],
"city": "string",
"contact_id": "string",
"country": "string",
"custom_field_values": [
{
"boolean_value": true,
"custom_field_id": "string",
"file_url_value": "string",
"list_value": [
"string"
],
"numeric_value": 0.1,
"string_value": "string",
"table_value": [
{}
]
}
],
"customer_id": "string",
"date_last_updated_in_portal": "2019-08-24T14:15:22Z",
"date_status": "not yet updated",
"directory_image_uri": "string",
"do_not_drop": true,
"do_not_renew": true,
"do_not_show_in_directory": true,
"email_address": "string",
"expiration_date": "string",
"first_name": "string",
"flowdown_depth": 1,
"hidden_directory_fields": [
"string"
],
"history": [
{
"cancellation_id": "string",
"end_date": "2019-08-24T14:15:22Z",
"event": "assignment",
"is_inherited_membership": true,
"new": {
"add_ons": [
{
"add_on_id": "string",
"dues": 0.1,
"order_id": "string",
"order_line_item_id": "string",
"quantity": 1
}
],
"chapter_id": "string",
"chapter_ids": [
"string"
],
"chapters": [
{
"chapter_id": "string",
"dues": 0.1,
"is_new_member": true,
"join_date": "2019-08-24T14:15:22Z",
"order_id": "string",
"order_line_item_id": "string",
"was_renewed": true
}
],
"expiration_date": "string",
"is_new": true,
"join_date": "string",
"number": 0.1,
"origin": "assigned",
"package_id": "string",
"parent_membership_id": "string",
"reinstatement_date": "string",
"renewal_date": "string",
"section_ids": [
"string"
],
"sections": [
{
"dues": 0.1,
"is_new_member": true,
"join_date": "2019-08-24T14:15:22Z",
"order_id": "string",
"order_line_item_id": "string",
"section_id": "string",
"was_renewed": true
}
],
"status": "active",
"status_reason_id": "string",
"term_start_date": "string",
"termination_date": "string",
"type_id": "string"
},
"old": {
"add_ons": [
{
"add_on_id": "string",
"dues": 0.1,
"order_id": "string",
"order_line_item_id": "string",
"quantity": 1
}
],
"chapter_id": "string",
"chapter_ids": [
"string"
],
"chapters": [
{
"chapter_id": "string",
"dues": 0.1,
"is_new_member": true,
"join_date": "2019-08-24T14:15:22Z",
"order_id": "string",
"order_line_item_id": "string",
"was_renewed": true
}
],
"expiration_date": "string",
"is_new": true,
"join_date": "string",
"number": 0.1,
"origin": "assigned",
"package_id": "string",
"parent_membership_id": "string",
"reinstatement_date": "string",
"renewal_date": "string",
"section_ids": [
"string"
],
"sections": [
{
"dues": 0.1,
"is_new_member": true,
"join_date": "2019-08-24T14:15:22Z",
"order_id": "string",
"order_line_item_id": "string",
"section_id": "string",
"was_renewed": true
}
],
"status": "active",
"status_reason_id": "string",
"term_start_date": "string",
"termination_date": "string",
"type_id": "string"
},
"order_id": "string",
"order_line_item_id": "string",
"parent_membership_id": "string",
"start_date": "2019-08-24T14:15:22Z"
}
],
"id": "string",
"is_new": true,
"job_title": "string",
"join_date": "string",
"join_or_last_renewal_date": "string",
"lapse_date": "string",
"last_bill_date": "2019-08-24T14:15:22Z",
"last_change_affiliation_date": "2019-08-24T14:15:22Z",
"last_expired_card_warning": 0.1,
"last_expired_card_warning_date": "2019-08-24T14:15:22Z",
"last_name": "string",
"last_reminder": 0.1,
"last_reminder_date": "2019-08-24T14:15:22Z",
"master_membership_id": "string",
"master_membership_organization_id": "string",
"membership_join_date": "string",
"name": "string",
"notes": "string",
"number": 0.1,
"order_amount_paid": 0.1,
"order_balance_due": 0.1,
"order_currency_code": "string",
"order_currency_symbol": "string",
"order_id": "string",
"order_line_item_id": "string",
"order_number": 0.1,
"order_status": "awaiting payment",
"order_total": 0.1,
"organization_id": "string",
"origin": "assigned",
"overridden_fields": [
"string"
],
"owner_type": "contact",
"package_id": "string",
"parent_membership_id": "string",
"past_chapter_memberships": [
{
"chapter_id": "string",
"end_date": "2019-08-24",
"join_date": "2019-08-24T14:15:22Z",
"start_date": "2019-08-24"
}
],
"past_section_memberships": [
{
"end_date": "2019-08-24",
"join_date": "2019-08-24T14:15:22Z",
"section_id": "string",
"start_date": "2019-08-24"
}
],
"primary_chapter_id": "string",
"referral_contact_id": "string",
"reinstatement_date": "string",
"renew_automatically": true,
"renewal_currency_code": "AED",
"renewal_date": "string",
"renewal_payment_card_expiration": "2019-08-24",
"renewal_payment_info": {
"card_expiration": "string",
"card_type": "american express",
"merchant_account_tokens": [
{
"merchant_account_id": "string",
"token": "string"
}
],
"payment_account": "string",
"payment_origin": "ad hoc",
"token": "string",
"type": "credit card"
},
"section_ids": [
"string"
],
"section_names": "string",
"sections": [
{
"dues": 0.1,
"is_new_member": true,
"join_date": "2019-08-24T14:15:22Z",
"order_id": "string",
"order_line_item_id": "string",
"section_id": "string",
"was_renewed": true
}
],
"state": "string",
"status": "active",
"status_reason_id": "string",
"sys_bulk_load_at": "string",
"sys_bulk_load_id": "string",
"sys_bulk_load_pk": "string",
"sys_bulk_load_record_no": 0.1,
"sys_bulk_load_source_file": "string",
"sys_calculated_field_error": "string",
"sys_calculated_field_errors": [
{
"error": "string",
"field": "string"
}
],
"sys_configuration_snapshot_id": "string",
"sys_created_at": "2019-08-24T14:15:22Z",
"sys_created_by_id": "string",
"sys_deleted_by_id": "string",
"sys_directive": "string",
"sys_external_id": "string",
"sys_has_files_in_s3": true,
"sys_last_bulk_data_operation_id": "string",
"sys_last_bulk_data_operation_sys_version": "string",
"sys_last_modified_at": "2019-08-24T14:15:22Z",
"sys_last_modified_by_id": "string",
"sys_last_security_context": {},
"sys_locked": true,
"sys_snapshot_base_version": 0.1,
"sys_version": 0.1,
"term_start_date": "string",
"termination_date": "string",
"type_id": "string"
}'The membership was saved successfully.
Memberships that have been assigned, manually, by organization administrators
The method this member was billed
Whether or not to bill the organization for this membership
Read only: Show the name of the chapters to which a person belongs
For reporting only; the contact ID if this is owned by a contact, the organization if this is owned by an organization
The date that this was last updated in the portal
If set, this membership will not be dropped/terminated along lifecycle rules
If set, the membership is not available in the directory
If this is a flow down membership, the depth
The last date that this record was terminated. Unlike termination date does not get erased
The last date a change affiliation was run on this membership
The last time a reminder was sent
The master organizational membership that generates the flowdown; when depth=1 this is the same as the parent, but supports cascading membership
The master organization that owns the membership; when depth=1 this is the same as the parent, but supports cascading membership
Fields that have been changed on this record, and should not be susceptible to flowdown
The chapter ID (used for reporting, DO NOT UPLOAD DATA HERE
If set, then this membership will automatically renew with the card on file
The currency code to use for renewal
The date that the renewal payment card expires
Read only: Show the name of the sections to which a person belongs
If this record was loaded via bulk, the timestamp when the record was processed
If this record was loaded via bulk, the ID of the bulk load process
If this record was loaded via bulk, the tenant and key of the bulk load process used as a partition key
If this record was loaded via bulk, the record number in the source file
If this record was loaded via bulk, the source file
The error associated with the calculated field
If a snapshot was restored/applies to this record, the ID of the snapshot
The date/time that this record was created, expressed in ISO-8601 date format
The ID of the user that deleted (or last tried to delete) this object
Means for passing directive information into an object processing logic
If true, this record has files in S3. If false, it doesnt, so no need to hit S3 upon deletion
If this record was last touched by a bulk data operation, the ID of that operation
If this record was last touched by a bulk data operation, the sys_version at the time of that operation
The date/time that this record record was last modified, expressed in ISO-8601 date format
The ID of the user that last modified this record
The security context of the last insert, modify, or delete performed on this item
The version to use as a base when creating a configuration snapshot; if not set, 1 is used. Helpful when creating a sandbox
A number representing the version of this record in the database
{ "add_on_ids": [ "string" ], "add_on_names": "string", "add_ons": [ { … } ], "application_id": "string", "application_process_id": "string", "assigned_memberships": [ { … } ], "bill_method": "auto renewal order", "bill_organization": true, "billed": true, "certificate_uri": "string", "chapter_ids": [ "string" ], "chapter_names": "string", "chapters": [ { … } ], "city": "string", "contact_id": "string", "country": "string", "custom_field_values": [ { … } ], "customer_id": "string", "date_last_updated_in_portal": "2019-08-24T14:15:22Z", "date_status": "not yet updated", "directory_image_uri": "string", "do_not_drop": true, "do_not_renew": true, "do_not_show_in_directory": true, "email_address": "string", "expiration_date": "string", "first_name": "string", "flowdown_depth": 1, "hidden_directory_fields": [ "string" ], "history": [ { … } ], "id": "string", "is_new": true, "job_title": "string", "join_date": "string", "join_or_last_renewal_date": "string", "lapse_date": "string", "last_bill_date": "2019-08-24T14:15:22Z", "last_change_affiliation_date": "2019-08-24T14:15:22Z", "last_expired_card_warning": 0.1, "last_expired_card_warning_date": "2019-08-24T14:15:22Z", "last_name": "string", "last_reminder": 0.1, "last_reminder_date": "2019-08-24T14:15:22Z", "master_membership_id": "string", "master_membership_organization_id": "string", "membership_join_date": "string", "name": "string", "notes": "string", "number": 0.1, "order_amount_paid": 0.1, "order_balance_due": 0.1, "order_currency_code": "string", "order_currency_symbol": "string", "order_id": "string", "order_line_item_id": "string", "order_number": 0.1, "order_status": "awaiting payment", "order_total": 0.1, "organization_id": "string", "origin": "assigned", "overridden_fields": [ "string" ], "owner_type": "contact", "package_id": "string", "parent_membership_id": "string", "past_chapter_memberships": [ { … } ], "past_section_memberships": [ { … } ], "primary_chapter_id": "string", "referral_contact_id": "string", "reinstatement_date": "string", "renew_automatically": true, "renewal_currency_code": "AED", "renewal_date": "string", "renewal_payment_card_expiration": "2019-08-24", "renewal_payment_info": { "card_expiration": "string", "card_type": "american express", "merchant_account_tokens": [ … ], "payment_account": "string", "payment_origin": "ad hoc", "token": "string", "type": "credit card" }, "section_ids": [ "string" ], "section_names": "string", "sections": [ { … } ], "state": "string", "status": "active", "status_reason_id": "string", "sys_bulk_load_at": "string", "sys_bulk_load_id": "string", "sys_bulk_load_pk": "string", "sys_bulk_load_record_no": 0.1, "sys_bulk_load_source_file": "string", "sys_calculated_field_error": "string", "sys_calculated_field_errors": [ { … } ], "sys_configuration_snapshot_id": "string", "sys_created_at": "2019-08-24T14:15:22Z", "sys_created_by_id": "string", "sys_deleted_by_id": "string", "sys_directive": "string", "sys_external_id": "string", "sys_has_files_in_s3": true, "sys_last_bulk_data_operation_id": "string", "sys_last_bulk_data_operation_sys_version": "string", "sys_last_modified_at": "2019-08-24T14:15:22Z", "sys_last_modified_by_id": "string", "sys_last_security_context": {}, "sys_locked": true, "sys_snapshot_base_version": 0.1, "sys_version": 0.1, "term_start_date": "string", "termination_date": "string", "type_id": "string" }